using DxBlazorApplication2.AS400Kommunikation;
using DxBlazorApplication2.Data.Produktion;

namespace DxBlazorApplication2.Services.Produktion
{
    /// <summary>
    /// Firmen
    /// </summary>
    public class FSTLService
    {
        private readonly Dictionary<double, FSTLItem> _FSTLItems;
        private readonly Logger _logger = new Logger();

        public FSTLService()
        {
            _logger.Log("FSTLService()");
            _FSTLItems = new Dictionary<double, FSTLItem>();
            _FSTLItems.Add(1, new FSTLItem(1, "Aachen"));
            _FSTLItems.Add(5, new FSTLItem(5, "Erkelenz"));
            _FSTLItems.Add(8, new FSTLItem(8, "Ladbergen"));
            _FSTLItems.Add(11, new FSTLItem(11, "Neu-Ulm"));
            _FSTLItems.Add(12, new FSTLItem(12, "Nürnberg"));
            _FSTLItems.Add(23, new FSTLItem(23, "Ruda"));
            _FSTLItems.Add(27, new FSTLItem(27, "Kattowitz"));
            _FSTLItems.Add(36, new FSTLItem(36, "MB Kaninsberg"));
            _FSTLItems.Add(39, new FSTLItem(39, "Dresden"));
            _FSTLItems.Add(43, new FSTLItem(43, "MB Nürnberg"));
        }
        public void Dispose()
        {
            _logger.Log($"FSTLService.Dispose()");
        }
        public IEnumerable<FSTLItem> GetItems()
        {
            return _FSTLItems.Values;
        }
    }
}
